Index: guiframe/gui_manager.py
===================================================================
--- guiframe/gui_manager.py	(revision 353041d7913898ef99da69081fc0825fd89fd516)
+++ guiframe/gui_manager.py	(revision 700f9b484abb7a4e73e5c999b745a31e1f731c2b)
@@ -225,5 +225,5 @@
         
         # History panel
-        self.histPanel     = history.HistoryPanel(self, style=wx.RAISED_BORDER)
+        #self.histPanel     = history.HistoryPanel(self, style=wx.RAISED_BORDER)
         # self.build_gui()
        
@@ -369,5 +369,5 @@
         self.panels["default"] = self.defaultPanel
          # History panel
-        self.panels["historyPanel"] = self.histPanel  
+        #self.panels["historyPanel"] = self.histPanel  
         
         self._mgr.AddPane(self.defaultPanel, wx.aui.AuiPaneInfo().
@@ -378,4 +378,5 @@
                               MinSize(wx.Size(self._window_width, self._window_height)).
                               Show())
+        """
         self._mgr.AddPane(self.histPanel, wx.aui.AuiPaneInfo().
                           Name("historyPanel").Caption("History").
@@ -392,4 +393,5 @@
                           BestSize(wx.Size(500,600)).
                           MinSize(wx.Size(200,150)))
+        """
 
         # Add the panels to the AUI manager
@@ -650,4 +652,5 @@
                 
             self._mgr.Update()
+    """
     def _onHistoryPanel(self, event):
         print "on history"
@@ -656,10 +659,11 @@
         self._mgr.Update()
         return
-        
+    """   
     def _on_open(self, event):
    
         from data_loader import plot_data
         path = self.choose_file()
-            
+        if path ==None:
+            return
         if path and os.path.isfile(path):
             plot_data(self, path)
Index: guiframe/model_thread.py
===================================================================
--- guiframe/model_thread.py	(revision 858f2ae5760d83229bc1f2435477a0e450efe264)
+++ guiframe/model_thread.py	(revision 700f9b484abb7a4e73e5c999b745a31e1f731c2b)
@@ -158,8 +158,10 @@
                         value = self.model.runXY([self.x[i_x]-center_x, self.y[i_y]-center_y])
                         output[i_x] [i_y]=value   
+                       
                 except:
                      wx.PostEvent(self.parent, StatusEvent(status=\
                        "Error computing %s at [%g,%g]" %(self.model.name, self.x[i_x],self.y[i_y])))
-           
+                     pass
+        print "model thread ouput",output       
         elapsed = time.time()-self.starttime
         self.complete(
Index: guiframe/statusbar.py
===================================================================
--- guiframe/statusbar.py	(revision 858f2ae5760d83229bc1f2435477a0e450efe264)
+++ guiframe/statusbar.py	(revision 700f9b484abb7a4e73e5c999b745a31e1f731c2b)
@@ -29,7 +29,8 @@
         """ 
         self.count +=1
-        if self.count ==20:
+        if self.count ==30:
             self.timer_stop.Stop() 
             self.gauge.Hide()
+            self.SetStatusText( "", 0)
             self.count=0
     def OnTimer(self, evt): 
@@ -48,9 +49,4 @@
             while(self.thread.isrunning()):
                 self.progress += 1
-                
-                # Update the Rqnge if it has changed 
-                #if self.range >= 0 and self.range != self.gauge.GetRange(): 
-                #    self.gauge.SetRange(self.range) 
-      
                 # Update the progress value if it is less than the range 
                 if self.progress < self.gauge.GetRange()-20: 
@@ -78,5 +74,4 @@
         else:
             self.thread= thread
-            #if self.thread !=None:
             self.gauge.Show(True)
             if type.lower()=="start":
@@ -95,5 +90,5 @@
                 self.SetStatusText( str(msg), 0)
                 self.gauge.Pulse()
-                print "in progress"
+                #print "in progress"
                 
             if  type.lower()=="update":
@@ -104,6 +99,6 @@
                 if self.progress < self.gauge.GetRange()-20:
                     self.gauge.SetValue(int(self.progress)) 
+                    
             if type.lower()=="stop":
-                print "it is complete"
                 self.gauge.Show(True)
                 self.timer.Stop()
